/*
 *  Copyright (C) 2007 Luca Deri <deri@ntop.org>
 *
 *  		       http://www.ntop.org/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _PF_RING_H_
#define _PF_RING_H_

#ifdef HAVE_PF_RING

#ifndef __USE_XOPEN2K
#define __USE_XOPEN2K
#endif

#define HAVE_PCAP /* Needed for pfring.h */
#undef __USE_XOPEN2K
#include "pfring.h"

/* PF_RING hook */
extern void* fetchPfRingPackets(void* notUsed);
extern u_int32_t printPfRingStats(u_int8_t dump_stats_on_screen);
extern void readPfRingStats(u_int32_t *rx_pkts, u_int32_t *drops);
extern void open_pf_ring(char *dev, u_char *open_device, u_int16_t thread_id);
extern u_int8_t updatePfRingStats();

#endif /* HAVE_PF_RING */

#endif /* _PF_RING_H_ */
